sccs-histfile(1)

NAME
sccs-histfile - convert a g-filename into the s-filename counterpart

SYNOPSIS
sccs histfile pathname

DESCRIPTION
The sccs histfile subcommand converts a g-filename into the appropriate s-filename counterpart that is used for SCCS history files.

While sccs(1) in former times just added SCCS/s. before the last path name component, there is now support for off-tree history files that are located inside a directory .sccs in the project root directory. The histfile subcommand knows which operating mode is currently in use and returns the appropriate path to the history file.

If the pathname argument refers to a directory, the result is the directory that holds the SCCS history files for the files in that directory.

This subcommand is an extension that does not exist in historic sccs implementations.

OPTIONS

None

EXAMPLES

To retrieve the SCCS history filename for the file xec.c in the current directory call:

    sccs histfile xec.c

ENVIRONMENT VARIABLES

See environ(5) for descriptions of the following environment variables that affect the execution of sccs-histfile(1): LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, and NLSPATH.

SCCS_NO_HELP
    If set, sccs histfile will not automatically call help(1) with the SCCS error code in order to print a more helpful error message. Scripts that depend on the exact error messages of SCCS commands should set the environment variable SCCS_NO_HELP and set LC_ALL=C.

FILES

ATTRIBUTES

See attributes(5) for descriptions of the following attributes:

SEE ALSO

sccs(1), sccs-add(1), sccs-admin(1), sccs-branch(1), sccs-cdc(1), sccs-check(1), sccs-clean(1), sccs-comb(1), sccs-commit(1), sccs-create(1), sccs-cvt(1), sccs-deledit(1), sccs-delget(1), sccs-delta(1), sccs-diffs(1), sccs-edit(1), sccs-editor(1), sccs-enter(1), sccs-fix(1), sccs-get(1), sccs-help(1), sccs-info(1), sccs-init(1), sccs-istext(1), sccs-ldiffs(1), sccs-log(1), sccs-print(1), sccs-prs(1), sccs-prt(1), sccs-rcs2sccs(1), sccs-remove(1), sccs-rename(1), sccs-rmdel(1), sccs-root(1), sccs-sact(1), sccs-sccsdiff(1), sccs-status(1), sccs-tell(1), sccs-unedit(1), sccs-unget(1), sccs-val(1), what(1), sccschangeset(4), sccsfile(4).

DIAGNOSTICS

NOTES

BUGS

AUTHOR
sccs histfile was originally written by Joerg Schilling in 2020 and is still maintained by Joerg Schilling.

SOURCE DOWNLOAD
A frequently updated source code for the SCCS suite is included in the schilytools project and may be retrieved from the schilytools project at Sourceforge at:

    http://sourceforge.net/projects/schilytools/

The download directory is:

    http://sourceforge.net/projects/schilytools/files/

Check for the schily-*.tar.bz2 archives.

Less frequently updated source code for the SCCS suite is at:

    http://sourceforge.net/projects/sccs/files/

Separate project information for the SCCS project may be retrieved from:

    http://sccs.sf.net